### Function

# Soup check_version

since: 3.0

#### Declaration [src]

    gboolean
    soup_check_version (
      guint major,
      guint minor,
      guint micro
    )

#### Description [src]

Like `SOUP_CHECK_VERSION()`, but the check for soup_check_version is at runtime instead of compile time.

This is useful for compiling against older versions of libsoup, but using features from newer versions.

Available since: 3.0

#### Parameters

`major`

  Type: `guint`

  The major version to check.

`minor`

  Type: `guint`

  The minor version to check.

`micro`

  Type: `guint`

  The micro version to check.

#### Return value

Type: `gboolean`

`TRUE` if the version of the libsoup currently loaded is the same as or newer than the passed-in version.